local voxel = require "voxel"
-- 174x16
local rx = 0
local rz = 0
function love.load()
	voxel.load("missile.png",11,1)
	voxel.setAmbLight({.3,.3,.3})
	voxel.addLight({1.0,.5,0},{0,1,0})
	voxel.addLight({-1.0,-.5,0},{1.0,1.0,1.0})
	voxel.sendLights()
end
function love.update(dt)
	rx = rx + dt
	rz = rz + dt
end
function love.draw()
	
	local mx,my = love.mouse.getPosition( )
	voxel.draw("missile.png",200,200,0,0,1)
	voxel.rotate(mx/10,my/10)
	love.graphics.print(love.timer.getFPS( ))
	voxel.print()
end